Skip to main content
POST
Rollback Stackable Redemptions

Authorizations

X-App-Id
string
header
required
X-App-Token
string
header
required

Path Parameters

parentRedemptionId
string
required

Unique identifier of a parent redemption, e.g. r_JQfm73zWSJFQxs3bGxweYjgm.

Example:

"r_0ba186c4824e4881e1"

Query Parameters

reason
string

Reason for the rollback.

tracking_id
string

Customer's source_id.

Body

application/json

Add information about the original customer and order. Customer data and Redemption metadata can be updated in Voucherify when passing the customer data in the request body.

Request body schema for POST v1/redemptions/{parentRedemptionId}/rollbacks.

reason
string

Reason for the rollback.

tracking_id
string

Customer's source_id.

customer
Customer · object
order
Order · object

Order information.

metadata
object

A set of key/value pairs that you can send in the request body to update redemption metadata.

Response

Returns an array with the individual redemption rollback results along with the parent rollback result and related order.

Response body schema for POST /redemptions/{parentRedemptionID}/rollbacks.

rollbacks
Redemption Rollback · object[]

Contains the rollback redemption objects of the particular incentives.

parent_rollback
Redemption Rollback · object

This is an object representing a redemption rollback.

order
Order Calculated No Customer Data · object

Order information.

Last modified on July 7, 2026